Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Sun, 07 Aug 2022 00:30:16 +0000

>> Indeed, that seems to be the culprit here, I didn't know that text-mode 
>> was an exception here.  If I set bidi-paragraph-direction to 
>> 'left-to-right after visiting the arabic-small.txt file, Emacs (mis) 
>> behaves like it does for the other Arabic files: it becomes slow, and 
>> C-n C-p do not work correctly anymore.
>
> I've installed a change that makes Arabic rendering roughly twice 
> faster.  It is still quite slow, but less so.
>

Yes, I've seen that change, too.  It's better now, I wonder if I'll manage 
to make it even better.